    probebalistic Argon2 test: This library implements some extra probablistic measures to Archon2 to make it more secure.
    Copyright (C) 2023  Martin Smouter

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>

#include "secret_improvement.h"
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <stdint.h>
#include <syslog.h>

#define PASSWORD "dassword"
#define HASHLEN 3200

void main()
{
	openlog("Password bouncer", ,10);
	secret_improvement_init();
	Argon2_secret_fuzzer();
	
	char hash1[HASHLEN];
	
	memset(hash1, 0, HASHLEN);
	hash1[0]='a';
	hash1[1]='b';
	hash1[HASHLEN-1] = '\0';
	
	printf("%s", "hond\n");
	printf("%d\n", HASHLEN);
	
	if(Argon2_secret(PASSWORD, hash1, HASHLEN));
	{
		for(int i=0; i<HASHLEN; i++)
		{
			fprintf(stderr, "%c", hash1[i]);
		}
	}
}
void Argon2_secret_fuzzer()
{
	uint8_t hashlen = rand();
	uint8_t pw[hashlen];
	for(int i=0; i<hashlen; i++)
	{
		hash1[i] = rand();
	}
	for(int i=0; i<5; i++)
	{
		if(Argon2_secret((char *)pw,hash1,hashlen)!=1);
		{
			syslog(1, "failure argon2_secret with pw = %s and hashlen = %d", PASSWORD, hashlen);
			exit(0);
		}
	}
}
